org.apache.solr.client.solrj.impl

## Class CloudSolrClient.RouteResponse

- java.lang.Object
- - org.apache.solr.common.util.NamedList
  - - org.apache.solr.client.solrj.impl.BaseCloudSolrClient.RouteResponse<LBHttpSolrClient.Req>
    - - org.apache.solr.client.solrj.impl.CloudSolrClient.RouteResponse

All Implemented Interfaces:
  Serializable, Cloneable, Iterable, MapSerializable, MapWriter, NavigableObject

Enclosing class:
  CloudSolrClient

Deprecated.
since Solr 8.0

    @Deprecated
    public static class CloudSolrClient.RouteResponse
    extends BaseCloudSolrClient.RouteResponse<LBHttpSolrClient.Req>

See Also:
  Serialized Form

### Nested Class Summary

### Nested classes/interfaces inherited from class org.apache.solr.common.util.NamedList

`NamedList.NamedListEntry<T>`

### Nested classes/interfaces inherited from interface org.apache.solr.common.MapWriter

`MapWriter.EntryWriter`

### Field Summary

### Fields inherited from class org.apache.solr.common.util.NamedList

`nvPairs`

### Constructor Summary

Constructors
Constructor and Description
`RouteResponse()` Deprecated.

### Method Summary

### Methods inherited from class org.apache.solr.client.solrj.impl.BaseCloudSolrClient.RouteResponse

`getRouteResponses, getRoutes, setRouteResponses, setRoutes`

### Methods inherited from class org.apache.solr.common.util.NamedList

`add, addAll, addAll, asMap, asShallowMap, clear, clone, equals, findRecursive, forEach, get, get, getAll, getBooleanArg, getImmutableCopy, getName, getVal, hashCode, indexOf, iterator, remove, remove, removeAll, removeBooleanArg, removeConfigArgs, setName, setVal, size, toSolrParams, toString, writeMap`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface java.lang.Iterable

`forEach, spliterator`

### Methods inherited from interface org.apache.solr.common.MapWriter

`jsonStr, toMap`

### Methods inherited from interface org.apache.solr.common.NavigableObject

`_forEachEntry, _forEachEntry, _forEachEntry, _get, _get, _getStr, _getStr`

### Constructor Detail

#### RouteResponse

    public RouteResponse()

Deprecated.